Bug 52552 - Pump doesn't read configuration options from pump.conf if...
Pump doesn't read configuration options from pump.conf if...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-24 19:11 EDT by Dag Wieers
Modified: 2007-04-18 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 10:58:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2001-08-24 19:11:01 EDT
Description of Problem:
If you supply options _after_ the device-section, they are not used by pump.


Version-Release number of selected component (if applicable):
pimp-0.8.11-1

How Reproducible:every time


Steps to Reproduce:
1. Take the following config-file as /etc/pump.conf:

     domainsearch "dag.wieers.com wieers.com pandora.be"
     retries 3

     device eth0 {
       nodns
     }

     script /etc/pump.script

2. Start pump
3. If you get a new ip-address the script is not ran !!
   If you put the script-option underneath the retries-option it works.


Actual Results:
It is not using options after a device-section


Expected Results:
The man-page doesn't say anything of the placement of options.

Additional Information:
Comment 1 brian medley 2002-01-11 00:35:47 EST
I would like to add that the general theme of not reading all config values
appears to also apply to the "retries" variable.  Specifically, I'm trying to
make pump retry seven times.  I thought that the following /etc/pump.conf
would allow this:

    retries 7
    timeout 5

However, when I run "# pump -i eth0" the following appears via syslog:

Jan 11 00:09:11 localhost pumpd[28024]: PUMP: sending discover
Jan 11 00:09:11 localhost pumpd[28024]: breq: opcode: 1
Jan 11 00:09:11 localhost pumpd[28024]: breq: hw: 1
...
Jan 11 00:09:17 localhost pumpd[28024]: PUMP: sending discover
Jan 11 00:09:17 localhost pumpd[28024]: breq: opcode: 1
Jan 11 00:09:17 localhost pumpd[28024]: breq: hw: 1

Yet, no other pump entries show up and pump exists with "Operation Failed".
It is expected that the operation failed (b/c the dhcp server is turned off).
One would think that approximately eight such messages would appear.

It is possible that maybe the config file is not being read.  Yet, if I change
it to:

    retries 11
    timeout 15

Jan 11 00:26:28 localhost pumpd[29280]: PUMP: sending discover
Jan 11 00:26:28 localhost pumpd[29280]: breq: opcode: 1
Jan 11 00:26:28 localhost pumpd[29280]: breq: hw: 1
...
Jan 11 00:26:43 localhost pumpd[29280]: PUMP: sending discover
Jan 11 00:26:43 localhost pumpd[29280]: breq: opcode: 1
Jan 11 00:26:43 localhost pumpd[29280]: breq: hw: 1

Then the time imbetween requests does increase, which is a good thing;
however, I would also like for the retries to increase.  Am I doing something
wrong, or is there some other cause of the problem?
Comment 2 Eido Inoue 2004-01-05 10:58:53 EST
closing as supported products don't use pump anymore

Note You need to log in before you can comment on or make changes to this bug.